SimpleMapDataBindingSource (Grails 3.1.1)
Date: 2016-02-04

Package: grails.databinding

## [Groovy] Class SimpleMapDataBindingSource

- grails.databinding.SimpleMapDataBindingSource

- All Implemented Interfaces and Traits:
    DataBindingSource

      @groovy.transform.CompileStatic
      class SimpleMapDataBindingSource
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.Map` | `map` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `dataSourceAware`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleMapDataBindingSource (java.util.Map map)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `containsProperty(java.lang.String propertyName)`
    `java.lang.Object` | `getAt(java.lang.String propertyName)`
    `java.lang.Object` | `getIdentifierValue()`
    `java.util.Set<java.lang.String>` | `getPropertyNames()`
    `java.lang.Object` | `getPropertyValue(java.lang.String propertyName)`
    `boolean` | `hasIdentifier()`
    `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.Map map

  - ### Property Detail

    - #### boolean dataSourceAware

  - ### Constructor Detail

    - #### SimpleMapDataBindingSource(java.util.Map map)

  - ### Method Detail

    - #### boolean containsProperty(java.lang.String propertyName)

    - #### java.lang.Object getAt(java.lang.String propertyName)

    - #### java.lang.Object getIdentifierValue()

    - #### java.util.Set<java.lang.String> getPropertyNames()

    - #### java.lang.Object getPropertyValue(java.lang.String propertyName)

    - #### boolean hasIdentifier()

    - #### int size()